commit:     4cf2aa76869f2fcb3ccf667042068d937dbafada
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 15 23:34:37 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jan 15 23:37:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cf2aa76

net-ftp/lftp: Version 4.9.1

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-ftp/lftp/Manifest                              |   1 +
 .../lftp/files/lftp-4.9.1-libdir-readline.patch    |  11 +++
 net-ftp/lftp/lftp-4.9.1.ebuild                     | 105 +++++++++++++++++++++
 3 files changed, 117 insertions(+)

diff --git a/net-ftp/lftp/Manifest b/net-ftp/lftp/Manifest
index 37283c7c30b..7ee58454d13 100644
--- a/net-ftp/lftp/Manifest
+++ b/net-ftp/lftp/Manifest
@@ -1,2 +1,3 @@
 DIST lftp-4.8.4.tar.xz 1633444 BLAKE2B 
cbd85b553268823e7633e414752876db083355d92e55728337bc7863fb3bd89729ac725be41a9bcca275cf1752ea5f8ad01fdc67c7593868084c9c32bb75332d
 SHA512 
2528e2cbfe132068dc75036d6334372f79f8063d44e46c724a28ea1f5b40d8de0d1e36cde3124fbcc27e5ba8be04b893eb1a7546346253768346a80bc54c02d1
 DIST lftp-4.9.0.tar.xz 1642596 BLAKE2B 
111e559c98e0572e1ca79f935a1db8c45c99275c8aa7b584be06d1738296b32808e97d696a02751575c5d1ea24a30a52f5d9f177a193f70addf1168e3208aa13
 SHA512 
8d83ea76390d38cb1f84f02eb7bf45780758afb9fe61f5b7278a48c9a5d216d03bc8b699c0f449a0036bdb441b4225af074da1b5e92a77ddb61aca704758211e
+DIST lftp-4.9.1.tar.xz 1648564 BLAKE2B 
2f36dec3de01dd3f9e7316567912a04196732a1e71a4d1c3a5124471d2941673d7b58bc3182d73d3cf154def905f57d37667d33fedec6ea9434f74850aa64f4d
 SHA512 
303e2354bd61a850403a02ac5b71e54719c12b026c7e36194a6382e9044f1fee93ea581ba0a55fea19981e07b896216e92c7d961c719350762eb0cfb51a2c506

diff --git a/net-ftp/lftp/files/lftp-4.9.1-libdir-readline.patch 
b/net-ftp/lftp/files/lftp-4.9.1-libdir-readline.patch
new file mode 100644
index 00000000000..fde1017f4bd
--- /dev/null
+++ b/net-ftp/lftp/files/lftp-4.9.1-libdir-readline.patch
@@ -0,0 +1,11 @@
+--- a/m4/lftp_lib_readline.m4
++++ b/m4/lftp_lib_readline.m4
+@@ -107,7 +107,7 @@
+       if test -f "$readline_include_dir/readline/readline.h"; then
+           readline_include_dir="$readline_include_dir/readline"
+       fi
+-        readline_ld_flags="-L$readline_prefix/lib"
++        readline_ld_flags="-L$libdir"
+         if test -z "$readline_lib_flags"; then
+             readline_lib_flags="-lreadline"
+         fi

diff --git a/net-ftp/lftp/lftp-4.9.1.ebuild b/net-ftp/lftp/lftp-4.9.1.ebuild
new file mode 100644
index 00000000000..33630583e6b
--- /dev/null
+++ b/net-ftp/lftp/lftp-4.9.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools libtool xdg-utils
+
+DESCRIPTION="A sophisticated ftp/sftp/http/https/torrent client and file 
transfer program"
+HOMEPAGE="https://lftp.tech/";
+SRC_URI="https://lftp.tech/ftp/${P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~x86-solaris"
+IUSE="convert-mozilla-cookies +gnutls idn ipv6 libressl nls socks5 +ssl 
verify-file"
+RESTRICT="test"
+
+RDEPEND="
+       >=sys-libs/ncurses-5.1:=
+       >=sys-libs/readline-5.1:=
+       dev-libs/expat
+       sys-libs/zlib
+       convert-mozilla-cookies? ( dev-perl/DBI )
+       idn? ( net-dns/libidn2:= )
+       socks5? (
+               >=net-proxy/dante-1.1.12
+               sys-libs/pam
+       )
+       ssl? (
+               gnutls? ( >=net-libs/gnutls-1.2.3:0= )
+               !gnutls? (
+                       !libressl? ( dev-libs/openssl:0= )
+                       libressl? ( dev-libs/libressl:0= )
+               )
+       )
+       verify-file? (
+               dev-perl/String-CRC32
+               virtual/perl-Digest-MD5
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       =sys-devel/libtool-2*
+       app-arch/xz-utils
+       nls? ( >=sys-devel/gettext-0.19 )
+       virtual/pkgconfig
+"
+DOCS=(
+       BUGS ChangeLog FAQ FEATURES MIRRORS NEWS README README.debug-levels
+       README.dnssec README.modules THANKS TODO
+)
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.0.2.91-lafile.patch
+       "${FILESDIR}"/${PN}-4.5.5-am_config_header.patch
+       "${FILESDIR}"/${PN}-4.7.0-gettext.patch
+       "${FILESDIR}"/${PN}-4.7.5-libdir-additional.patch
+       "${FILESDIR}"/${PN}-4.7.5-libdir-expat.patch
+       "${FILESDIR}"/${PN}-4.8.2-libdir-configure.patch
+       "${FILESDIR}"/${PN}-4.8.2-libdir-libidn2.patch
+       "${FILESDIR}"/${PN}-4.8.2-libdir-openssl.patch
+       "${FILESDIR}"/${PN}-4.8.2-libdir-zlib.patch
+       "${FILESDIR}"/${PN}-4.9.1-libdir-readline.patch
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+
+       elibtoolize # for Darwin bundles
+
+       # bug #536036
+       printf 'set fish:auto-confirm no\nset sftp:auto-confirm no\n' >> 
${PN}.conf || die
+}
+
+src_configure() {
+       econf \
+               $(use_enable ipv6) \
+               $(use_enable nls) \
+               $(use_with idn libidn2) \
+               $(use_with socks5 socksdante "${EPREFIX}"/usr) \
+               $(usex ssl "$(use_with !gnutls openssl ${EPREFIX}/usr)" 
'--without-openssl') \
+               $(usex ssl "$(use_with gnutls)" '--without-gnutls') \
+               --enable-packager-mode \
+               --sysconfdir="${EPREFIX}"/etc/${PN} \
+               --with-modules \
+               --with-readline="${EPREFIX}"/usr \
+               --without-included-regex
+}
+
+src_install() {
+       default
+
+       local script
+       for script in {convert-mozilla-cookies,verify-file}; do
+               use ${script} || { rm "${ED}"/usr/share/${PN}/${script} || die 
;}
+       done
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to